Index: backend/access/nbtree/nbtpage.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/access/nbtree/nbtpage.c,v
retrieving revision 1.86
diff -c -c -r1.86 nbtpage.c
*** backend/access/nbtree/nbtpage.c	6 Jun 2005 20:22:57 -0000	1.86
--- backend/access/nbtree/nbtpage.c	16 Jun 2005 09:01:15 -0000
***************
*** 169,180 ****
  	metad = BTPageGetMeta(metapg);
  
  	/* sanity-check the metapage */
! 	if (!(metaopaque->btpo_flags & BTP_META) ||
! 		metad->btm_magic != BTREE_MAGIC)
  		ereport(ERROR,
  				(errcode(ERRCODE_INDEX_CORRUPTED),
! 				 errmsg("index \"%s\" is not a btree",
! 						RelationGetRelationName(rel))));
  
  	if (metad->btm_version != BTREE_VERSION)
  		ereport(ERROR,
--- 169,187 ----
  	metad = BTPageGetMeta(metapg);
  
  	/* sanity-check the metapage */
! 	if (!(metaopaque->btpo_flags & BTP_META))
  		ereport(ERROR,
  				(errcode(ERRCODE_INDEX_CORRUPTED),
! 				 errmsg("index \"%s\" is not a btree: opaque flags %d",
! 						RelationGetRelationName(rel),
!                         metaopaque->btpo_flags)));
! 
! 	if (metad->btm_magic != BTREE_MAGIC)
! 		ereport(ERROR,
! 				(errcode(ERRCODE_INDEX_CORRUPTED),
! 				 errmsg("index \"%s\" is not a btree: magic value %d", 
! 						RelationGetRelationName(rel),
!                         metad->btm_magic)));
  
  	if (metad->btm_version != BTREE_VERSION)
  		ereport(ERROR,
***************
*** 350,361 ****
  	metaopaque = (BTPageOpaque) PageGetSpecialPointer(metapg);
  	metad = BTPageGetMeta(metapg);
  
! 	if (!(metaopaque->btpo_flags & BTP_META) ||
! 		metad->btm_magic != BTREE_MAGIC)
  		ereport(ERROR,
  				(errcode(ERRCODE_INDEX_CORRUPTED),
! 				 errmsg("index \"%s\" is not a btree",
! 						RelationGetRelationName(rel))));
  
  	if (metad->btm_version != BTREE_VERSION)
  		ereport(ERROR,
--- 357,376 ----
  	metaopaque = (BTPageOpaque) PageGetSpecialPointer(metapg);
  	metad = BTPageGetMeta(metapg);
  
! 	/* sanity-check the metapage */
! 	if (!(metaopaque->btpo_flags & BTP_META))
  		ereport(ERROR,
  				(errcode(ERRCODE_INDEX_CORRUPTED),
! 				 errmsg("index \"%s\" is not a btree: opaque flags %d",
! 						RelationGetRelationName(rel),
!                         metaopaque->btpo_flags)));
! 
! 	if (metad->btm_magic != BTREE_MAGIC)
! 		ereport(ERROR,
! 				(errcode(ERRCODE_INDEX_CORRUPTED),
! 				 errmsg("index \"%s\" is not a btree: magic value %d", 
! 						RelationGetRelationName(rel),
!                         metad->btm_magic)));
  
  	if (metad->btm_version != BTREE_VERSION)
  		ereport(ERROR,
